We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 7848 - Both medra and datacite plugins include duplicate classes e.g. DOIExportPlugin
Both medra and datacite plugins include duplicate classes e.g. DOIExportPlugin
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.4.1
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 12:51 PDT by Alec Smecher
Modified: 2012-10-01 12:22 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2012-09-05 12:51:27 PDT
This causes problems in situations that attempt to load all plugins, e.g. upgrades. This bug is masked with git-based installations because the two files are symlinked.
Comment 1 Alec Smecher 2012-09-05 13:00:02 PDT
Fixed duplicate class load problem
https://github.com/pkp/ojs/commit/57f997184146c1a1ce6d3cc482d2789c6642c042
Comment 2 Alec Smecher 2012-09-08 14:57:18 PDT
Another solution is to remove either plugins/importexport/medra or plugins/importexport/datacite.
Comment 3 Alec Smecher 2012-09-20 13:15:02 PDT
Fixed duplicate class load problem
https://github.com/pkp/ojs/commit/c7310633289fdaba46692044a39fc95c7d6c7adf